#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "hidapi.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:

    void on_btnConnect();
    void on_btnScan();
    void on_btnDevice();
    void on_btnVersion();
    void on_btnLED3();
    void on_btnLED4();
    void on_btnButton();
    void on_btnPoti();
    void on_rbPotiAuto();
    void on_dsbTime(double newTime);

    void on_btnOut1();
    void on_btnOut2();
    void on_btnClear();

    void rxHandler();

private:
    Ui::MainWindow *ui;

    struct hid_device_info *devices;
    hid_device *connected_device;
    int iDevice;
    int countDevices;

    unsigned char outBuffer[65];    //outBuffer[0] is for endpoint number
    unsigned char inBuffer[64];
    int io_result;

    QTimer *RXtimer;
    QTimer *POTItimer;

    QVector<double> time, data; // for plot
};

#endif // MAINWINDOW_H
